VIGRA - VIGRA: UniformRandomFunctor Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| UniformRandomFunctor [Random Number Generation] |

`#include <vigra/random.hxx>`

List of all members.

## Public Types
typedef double | result_type
| STL required functor result type.
## Public Member Functions
double | operator() () const
| UniformRandomFunctor (double lower, double upper, Engine &generator=Engine::global())
| UniformRandomFunctor (Engine &generator=Engine::global())

## Detailed Description

### template<class Engine = RandomTT800>
class vigra::UniformRandomFunctor< Engine >

Functor to create uniformely distributed double-precision random numbers.

This functor encapsulates the function `uniform()` of the given random number `Engine` (usually `RandomTT800` or `RandomMT19937`) in an STL-compatible interface.

Traits defined:

`FunctorTraits<UniformIntRandomFunctor<Engine> >isInitializer` is true (`VigraTrueType`).

## Constructor & Destructor Documentation

UniformRandomFunctor | ( | Engine & | generator = `Engine::global()` | ) |

Create functor for uniform random double-precision numbers in the range [0.0, 1.0] using the given engine.

That is, the generated numbers satisfy 0.0 <= i <= 1.0.

UniformRandomFunctor | ( | double | lower,
|  | double | upper,
|  | Engine & | generator = `Engine::global()` |
| ) |  |  |

Create functor for uniform random double-precision numbers in the range [`lower`, `upper`] using the given engine.

That is, the generated numbers satisfy `lower` <= i <= `upper`.

## Member Function Documentation

double operator() | ( |  | ) | const

Return a random number as specified in the constructor.

The documentation for this class was generated from the following file:

- vigra/random.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)